/*=================================================================*/
/** @file D2Constants .hpp
 *  @brief Diablo II Constants.
 *
 *  (c) January 2002 - Joel Falcou for The Phrozen Keep.
 */
/*=================================================================*/

#ifndef __D2CONSTANTS_HPP__INCLUDED__
#define __D2CONSTANTS_HPP__INCLUDED__

/*==================================================================================*/
/*		
 *      Constants & Enumerations.
 */
/*==================================================================================*/

enum D2ItemTypes
{
	ITEMTYPE_NONE_1 = 0,
	ITEMTYPE_NONE_2,
	ITEMTYPE_SHIELD,
	ITEMTYPE_ARMOR,
	ITEMTYPE_GOLD,
	ITEMTYPE_BOW_QUIVER,
	ITEMTYPE_CROSSBOW_QUIVER,
	ITEMTYPE_PLAYER_BODY_PART,
	ITEMTYPE_HERB,
	ITEMTYPE_POTION,
	ITEMTYPE_RING,
	ITEMTYPE_ELIXIR,
	ITEMTYPE_AMULET,
	ITEMTYPE_CHARM,
	ITEMTYPE_NONE_3,
	ITEMTYPE_BOOTS,
	ITEMTYPE_GLOVES,
	ITEMTYPE_NONE_4,
	ITEMTYPE_BOOK,
	ITEMTYPE_BELT,
	ITEMTYPE_GEM,
	ITEMTYPE_TORCH,
	ITEMTYPE_SCROLL,
	ITEMTYPE_NONE_5,
	ITEMTYPE_SCEPTER,
	ITEMTYPE_WAND,
	ITEMTYPE_STAFF,
	ITEMTYPE_BOW,
	ITEMTYPE_AXE,
	ITEMTYPE_CLUB,
	ITEMTYPE_SWORD,
	ITEMTYPE_HAMMER,
	ITEMTYPE_KNIFE,
	ITEMTYPE_SPEAR,
	ITEMTYPE_PLOEARM,
	ITEMTYPE_CROSSBOW,
	ITEMTYPE_MACE,
	ITEMTYPE_HELM,
	ITEMTYPE_MISSILE_POTION,
	ITEMTYPE_QUEST,
	ITEMTYPE_BODY_PART,
	ITEMTYPE_KEY,
	ITEMTYPE_THROWING_KNIFE,
	ITEMTYPE_THROWING_AXE,
	ITEMTYPE_JAVELIN,
	ITEMTYPE_WEAPON,
	ITEMTYPE_MELEE_WEAPON,
	ITEMTYPE_MISSILE_WEAPON,
	ITEMTYPE_THROWN_WEAPON,
	ITEMTYPE_COMBO_WEAPON,
	ITEMTYPE_ANY_ARMOR,
	ITEMTYPE_ANY_SHIELD,
	ITEMTYPE_MISCELLANEOUS,
	ITEMTYPE_SOCKET_FILLER,
	ITEMTYPE_SECOND_HAND,
	ITEMTYPE_STAVES_AND_RODS,
	ITEMTYPE_MISSILE,
	ITEMTYPE_BLUNT,
	ITEMTYPE_NONE_6,
	ITEMTYPE_JEWEL,
	ITEMTYPE_CLASS_SPECIFIC,
	ITEMTYPE_AMAZON_ITEM,
	ITEMTYPE_BARBARIAN_ITEM,
	ITEMTYPE_NECROMANCER_ITEM,
	ITEMTYPE_PALADIN_ITEM,
	ITEMTYPE_SORCERESS_ITEM,
	ITEMTYPE_ASSASSIN_ITEM,
	ITEMTYPE_DRIUD_ITEM,
	ITEMTYPE_HAND_TO_HAND,
	ITEMTYPE_ORB,
	ITEMTYPE_VOODOO_HEADS,
	ITEMTYPE_AURIC_SHIELDS,
	ITEMTYPE_PRIMAL_HELM,
	ITEMTYPE_PELT,
	ITEMTYPE_CLOAK,
	ITEMTYPE_RUNE,
	ITEMTYPE_CIRCLET,
	ITEMTYPE_HEALING_POTION,
	ITEMTYPE_MANA_POTION,
	ITEMTYPE_REJUV_POTION,
	ITEMTYPE_STAMINA_POTION,
	ITEMTYPE_ANTIDOTE_POTION,
	ITEMTYPE_THAWING_POTION,
	ITEMTYPE_SMALL_CHARM,
	ITEMTYPE_MEDIUM_CHARM,
	ITEMTYPE_LARGE_CHARM,
	ITEMTYPE_AMAZON_BOW,
	ITEMTYPE_AMAZON_SPEAR,
	ITEMTYPE_AMAZON_JAVELIN,
	ITEMTYPE_HAND_TO_HAND_2,
	ITEMTYPE_MAGIC_BOW_QUIV,
	ITEMTYPE_CHIPPED_GEM,
	ITEMTYPE_FLAWED_GEM,
	ITEMTYPE_STANDARD_GEM,
	ITEMTYPE_FLAWLESS_GEM,
	ITEMTYPE_PERFECT_GEM,
	ITEMTYPE_AMETHYST,
	ITEMTYPE_DIAMOND,
	ITEMTYPE_EMERALD,
	ITEMTYPE_RUBY,
	ITEMTYPE_SAPPHIRE,
	ITEMTYPE_TOPAZ,
	ITEMTYPE_SKULL,
	ITEMTYPE_LRING,
	ITEMTYPE_RRING,
};


#endif