/*=================================================================*/
/** @file D2DLL.cpp
 *  @brief Main Diablo II extra DLL handler.
 *
 *  This is the sources of the D2DLL class.
 */
/*=================================================================*/

// Some needed standard header.
#include <stdio.h>
#include <memory.h>
#include <direct.h>
#include <windows.h>
#include <malloc.h>
#include <wchar.h>

// Core Class Headers
#include "error.hpp"
#include "d2functions.hpp"
#include "D2DLL.hpp"
#include "hireling.hpp"



DWORD FogOffset = (DWORD)LoadLibrary("Fog.dll");
DWORD GfxOffset = (DWORD)LoadLibrary("D2Gfx.dll");
DWORD CommonOffset = (DWORD)LoadLibrary("D2Common.dll");
DWORD ClientOffset = (DWORD)LoadLibrary("D2Client.dll");
DWORD GameOffset = (DWORD)LoadLibrary("D2Game.dll");

/*=================================================================*/
/** @brief D2DLL Wrapper constructor.
 *
 *  Nothing spicy here. You could use thios constructor to pre-calculate
 *  some constants or displaying a nice header in your DebugLog file.
 *
 */
/*=================================================================*/

void STDCALL init( const char* pLogfilePath )
{
	char lLogFile[1024] = "";
    DWORD dw = 0;

	_getcwd( application_path, MAX_PATH );

	if( application_path[strlen(application_path)] != '\\')
    {
		application_path[strlen(application_path) + 1] = 0;
		application_path[strlen(application_path)] = '\\';
	}

	sprintf(lLogFile, "%s%s", application_path, pLogfilePath);
    set_logfile( lLogFile );

	log_info("*----------------New Hireling Slots[1.10]---------------------*");
	log_info("| Dll addreses                                                |");
	log_info("*-------------------------------------------------------------*");
	log_message("| D2Client.dll Load Address:  0x%X                      |", ClientOffset);	
	log_info("*-------------------------------------------------------------*");

	LOAD_LIBRARY( "D2Client.dll", "D2DLL.cpp" );
	log_info("\n\n");
    HOOK_LIBRARY( "D2Common.dll", (CommonOffset+0x1000), 0x8E000, "d2wrappr.cpp" );
	HOOK_LIBRARY( "D2Client.dll", 0x6FAA1000, 0xCD000, "d2wrappr.cpp" );
	HOOK_LIBRARY( "D2Game.dll",   (GameOffset+0x1000),	0xF7000, "d2wrapper.cpp" );


    log_info( "Patching DLL ..." );
    init_patch();
    log_info( "DLL patched sucessfully. Entering Diablo II." );
}

void STDCALL release()
{
}

void STDCALL set_module( HANDLE pModule )
{
    if( pModule != INVALID_HANDLE_VALUE )
    {
        module_handle = pModule;
    }
    else
    {
        log_error( __FILE__, "Invalid Module Handle used for initialization" );
    }
}

void STDCALL init_patch()
{
	PATCH(Hireling,			(ClientOffset + 0xCC4D0));
	PATCH(HirelingD2Game,	(GameOffset + 0xF6A90));
}


 